
Figure - Bug #118681
IOVDEV-33265【内部】【VC1】【106】【台架】【EE环境】【副屏】【设置-蓝牙】设置页无连接蓝牙设备
，已连接设备页显示声音进度条
2023-06-08 19:27 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-08

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230607 03:00

【前提条件】：副屏上电

连接中控时间与副屏同步

网络连接情况正常

副屏正常连接功放

【操作步骤】

1.副屏打开设置页，设置页下滑点击进入已连接设备选项

【实际结果】

1.设置已经连接设备页无连接蓝牙显示声音进度条

【期望结果】

1.设置已经连接设备页无连接蓝牙不显示蓝牙进度条

【备注】：

硬件版本号】：

【当前开机次数】：副屏当前开机第264次

【中控版本号】：03.02.0088.C103

【副屏版本号】：01.00.0106.c104

IDCM  VIN：HRYTTESTVINMGM402

SN：HRYTTESTVINID0402
History

#1 - 2023-06-08 20:18 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118681

#2 - 2023-06-09 10:14 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

■ Current conclusion

副屏向中控获取音量，获取成功后会设置副屏音量，然后展示音量调节条，属于正常现象。

副屏向中控获取音量的时机：

1. 开机后，副屏和中控网络连接建立成功；

2. 副屏连接的蓝牙音频设备断开连接后；

■ My analysis

通过日志分析，副屏在 15:01:05、15:01:57、15:02:27、15:02:52 这几个时间向中控请求了音量，并在中控回复后设置了音量。

06-07 15:02:52.390  1536  1842 I MicroServiceManager: requestResult(getVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"MEDIA"}}.

06-07 15:02:52.402  2065 24031 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1686121372390772073',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1686121372390772073,"methodName":"getVolume","p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"MEDIA"}}}}

06-07 15:02:52.427  2065 24032 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='1686121372390772073',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"getVolume","messageType":1,"uuid":1686121372390772073,"p

arameters":{"functionInfo":{"IDCM_VolumeValue_Media":"15"}}}}

06-07 15:02:52.427  2065 24032 I MicroService: onResponse(getVolume): {"functionInfo":{"IDCM_VolumeValue_Media":"15"}}

06-07 15:02:52.428  1536  4867 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = getVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"15"}}

06-07 15:02:52.428  1536  4867 D AudioIDCMicroNegotiator: idcm_volume:getIDCMicroVolume volume 15

06-07 15:02:52.428  1536  4867 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 15 isRequested=false

06-07 15:02:52.428  1536  4867 D AS.AudioService: idcm_volume:onSetIDCMicroVolume: 15

■ Next action

测试确认并同步客户。

#3 - 2023-07-03 15:46 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

#4 - 2023-07-03 15:46 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#5 - 2023-07-03 15:46 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
